Jump to content


Photo
Pack

A Real Explorer's Guide to Skyrim



  • Please log in to reply
3018 replies to this topic

#2986 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 25 October 2017 - 11:35 PM

It might be useful to check the files that the 14.2.10 update FOMOD installed to make sure it provided the correct files. If you open the update file in 7zip you will see a number of folders. The FOMOD should have installed the contents of "02 Morthal - No inn", "02 Dawnstar - No inn", and "02 Dragon Bridge South" into the folder with the modular ETaC settlements with the updated plugins replacing the older ones.. Check the sizes of the plugins in those folders against those of the "ETaC - Morthal.esp", "ETaC - Dawnstar.esp" files that you used when merging the modular settlement files into the "ETaC - Complete.esp". Also check that the "ETaC - Dragon Bridge South.esp" plugin you are using is the same as the one in the folder mentioned above.



#2987 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 26 October 2017 - 12:04 AM

 

Since the update is 4.2.10 and the base main files are 4.0 I can't see a way of getting consistency in the patches and main files unless someone has ETaC version 4.2/4.2.8 main files?
Perhaps they could be provided as a google drive document in the REGS patch since others installing the pack now will encounter the same issue?

The ETaC modular patch version number and the ETaC nodular update version number don't need to be the same; ETaC didn't always keep these in lock step. What is important is that they are the most recent versions, and that update files (for the settlement files) were used with the correct base settlement files. This is fairly straightforward since there is one set each of base settlement files and patches, and one update file for the settlements.

 

The terms of use of files on Nexus does not allow us to host any files that are taken from Nexus. We can create patches, but even there if we want to provide them on Nexus we need to get permissions from some of the mod authors or maintainers such as the ETaC mod maintainer (Nazeen). Ideally we would get permission to provide a merged version of the subset of settlements and associated patches that are used in REGS. I haven't asked for such permission yet and I'm not sure what their reaction would be since about 1/3 of the settlements are removed.



#2988 shambamosori

shambamosori

    Prisoner

  • Members
  • 17 posts

Posted 26 October 2017 - 03:07 PM

Thank you! This community is so generous and helpful it is amazing :)!!
Kelmych you may want to edit the REGS page as it only says to install the Morthal w/o inns update :)
Also no Solstheim update?


  • 0

#2989 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 27 October 2017 - 12:08 PM

It looks like the FOMOD for the 14.2.10 update isn't working properly. I don't see anything obviously wrong in the FOMOD script file but the guide needs to be changed to directly install the updated files vs. using the FOMOD. Yes, the small Solstheim update should be included. I need to check the Karthwasten update to see if it is needed.



#2990 shambamosori

shambamosori

    Prisoner

  • Members
  • 17 posts

Posted 28 October 2017 - 10:09 AM

The REGS guide also doesn't state to clean No Snow Under the Roof but there is 1 ITM which I think I will remove as it seems some users on the nexus forum for the NSUtR page have removed it. (please let me know if this is folly)

There are aslo '2 deleted navmeshes' in Windhelm Lighthouse but I suspect these are needed for its functioning so I will leave it as is unless you advise me otherwise :)


  • 0

#2991 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 30 October 2017 - 08:28 PM

I don't know whether it is desirable or not; I haven't seen it mentioned before. Removing deleted navmesh records can only be done with the Creation Kit so it is generally difficult to do and most users don't remove them. There has been some discussion on the STEP forums about how to remove them, by the way.



#2992 Missfit

Missfit

    Prisoner

  • Members
  • 1 posts

Posted 10 November 2017 - 07:09 PM

Hi! Long time fan of the STEP Packs, althought now I have problems not capping on the 255 .esp numbers xD
Eitherway, has "the Great Forest of Whiterun Hold" been discussed? I love that mod, gives the Whiterun Hold lots of things to do and it's well executed on the performance level (I've never gotten problems running it). Maybe the "only" real problem is the high number of Spriggans xD I don't know if it's not compatible with any of the REGS mods, but I think it has a number of comp. patches.


  • 0

#2993 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 11 November 2017 - 02:14 AM

REGS is intended to be compatible with STEP Extended, and I'm not sure "Great Forest of Whiterun Hold" is compatible with the mods in STEP Extended that affect the landscape. The Nexus page doesn't mention whether it is compatible with a number of REGS mods (e.g., Inns and Taverns, Settlements Expanded, Better Fast Travel) that add or change buildings or small land areas in the Tundra regions.



#2994 vidalia

vidalia

    Citizen

  • Members
  • Pip
  • 64 posts

Posted 11 November 2017 - 05:59 AM

I found some issues with the Winterhold - Expanded Ruins mod (version 2.25)

1. Does not include facegen files for the enemy npcs in the added dungeon

2. The dungeon is not very well optimized (I got some major lag and FPS drops) and has weird lighting glitches.

3. The ETAC patch for  Winterhold - Expanded Ruins seems to for an older version of the mod or for one of the exterior only optional versions. With the main mod it causes serious clipping and navigation issues especially around the Hall of the Dead.

 

I think I am going to stick with just ETAC - Winterhold for now or try Winterhold Rebuild. The combination of the above two just causes a lot of issues and Winterhold - Expanded Ruins by itself is still problematic.

YMMV.

 

P.S - This was tested with an unmerged version of ETAC - Winterhold and ETAC-Winterhold Expanded Ruins patch. 


  • 0

#2995 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 11 November 2017 - 04:24 PM

I'll look at Winterhold - Expanded Ruins and see what happens in my game.



#2996 Ilkob

Ilkob

    Prisoner

  • Members
  • 46 posts

Posted 22 January 2018 - 05:46 AM

I'm not sure anyone still reads this but I'm having a strange issue. The reason I post here is because I tracked it down to Interesting NPCs main plugin (3DNPC.esp) and because my mod list is loosely based on SR:LE + REGS, but tailored to my own liking. The issue is small, but I fear that its existence indicates that there is something bigger going on:

 

Upon initiation of Carlotta Valentina's dialogue in Whiterun during daytime (when the shops are open) her greeting/opening line is "Yes, my love?" or another similar line, as if we're married. She also uses such lines as greetings when I'm standing near her. Thing is, I just started a new game and AFAIK she can't even be married. I have no mod that changes potential marriage partners. After she says this I just get her usual dialogue options, including her lines as a shopkeeper. Her 'parting' lines also seem to be just normal. I spoke with nearly every other NPC in Whiterun and no one else greets me like this. I checked her spells/active effects through MFG console and saw nothing out of the ordinary. Same for my player character. Looking at her NPC record in xEdit, there is nothing that conflicts.

 

I then began systematically disabling plugins in batches and finally tracked it down to 3DNPC.esp. I'm using the v3.10 main file with the v3.18 update file. I already verified that it had nothing to do with the following plugins (that I considered potential culprits): Immersive Citizens and its patches, SRLE's or my own conflict resolution plugins, the 3DNPC EFF patch, or any other 3DNPC patches for that matter, just having 3DNPC.esp active seems to trigger this behaviour (probably in combination with something I've yet to figure out).

My next step will be plowing through the 3DNPC plugin in xEdit in search of any oddities.. but the sheer size of the plugin intimidates me :( I also don't know where to start, the Dialogue Topic section? The Quest section? Google isn't my friend here either it seems.

 

So my question is, does someone that has Interesting NPCs installed recognize this behaviour? With Carlotta or any other NPC? Or does anyone have an idea where to start searching in xEdit? Thanks in advance.

 

Edit: Fixed, see DarkladyLexy's post.

Better late than never...

 

It's indeed caused by Interesting NPC's, which for unknown reasons sets Carlotta Valentia as lover with the player. The Creation Kit does not show an asterisk by this actor so the edit must have been made elsewhere. Skyrim LE -> TES5Edit -> 3DNPC.esp -> Relationship -> xx0EE9DB.

 

Attached File  CV3dnpc.JPG   37.44KB   1 downloads


  • 0

#2997 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 22 January 2018 - 09:03 PM

This will be added to the guide. Only a few mods in the guide have had changes recently, but an update will be made soon.



#2998 BMaytrix

BMaytrix

    Prisoner

  • Members
  • 15 posts

Posted 24 January 2018 - 09:04 PM

I am currently installing REGS.  Under the JK's Modular Patches (now 14.3), when it is time to merge, instructions state to move 3 patches to optional.

 

I noticed ETaC - Winterhold EWDR Patch.esp is not available.  I've installed more than once to see if I made a mistake.  The patch just isn't there.  Will this be an issue?

 

Thanx


  • 0

#2999 Kelmych

Kelmych

    Dragon King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,933 posts

Posted 25 January 2018 - 02:39 AM

The new version 14.3 ETaC modular patches still includes the EWDR patch. The FOMOD for the ETaC modular patches isn't reliable so the next update for the REGS guide will use manual installation of the patches. You can always get it from the ETaC modular patch archive file and manually add it to the installed mod; it's just a plugin.

 

ICAIO has also been updated. The new version requires a small manual patch in Better Fast Travel. This will be in the guide update; you can find it now in the posts on the Better Fast Travel Nexus page.



#3000 BMaytrix

BMaytrix

    Prisoner

  • Members
  • 15 posts

Posted 25 January 2018 - 06:23 AM

Thank You!!!!!!   This means a lot.


  • 0



Also tagged with one or more of these keywords: pack

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users